[arch-commits] Commit in xf86dgaproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 21 21:38:49 EDT 2009


    Date: Tuesday, April 21, 2009 @ 21:38:49
  Author: eric
Revision: 36391

upgpkg: xf86dgaproto 2.0.3-2
    Added license

Modified:
  xf86dgaproto/trunk/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-22 01:38:10 UTC (rev 36390)
+++ PKGBUILD	2009-04-22 01:38:49 UTC (rev 36391)
@@ -3,16 +3,18 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xf86dgaproto
 pkgver=2.0.3
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Direct Graphics Access extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('42fdcebc66efac02ab4beec2b1b0ad6e')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-md5sums=('42fdcebc66efac02ab4beec2b1b0ad6e')



More information about the arch-commits mailing list